WESNOTH(6)

NOM
wesnoth - Bataille pour Wesnoth, un jeu fantasy de stratégie tour par tour

SYNOPSIS
wesnoth [OPTIONS] [CHEMIN_DE_DATA]

DESCRIPTION
Bataille pour Wesnoth est un jeu de stratégie tour par tour dans un univers de fantasy.

Venez à bout de tous les chefs ennemis en utilisant les unités adéquates et en gérant au mieux votre or et vos villages. Chaque unité a ses forces et ses faiblesses ; pour gagner, déployez vos troupes de façon optimale tout en empêchant vos ennemis de faire de même. Toutes les unités gagnent de l'expérience et acquièrent de nouvelles compétences, devenant plus puissantes. Jouez dans votre langue favorite, testez votre habileté contre l'ordinateur, ou rejoignez la grande communauté des joueurs en ligne de Wesnoth. Créez vos propres unités, vos scénarios ou vos campagnes et partagez-les avec d'autres.

OPTIONS

--bpp nombre
    Définit la valeur de bits par pixel (couleurs). Exemple : --bpp 32

-c, --campaign
    va directement au menu de sélection des campagnes.

--config-dir répertoire
    définit le répertoire de configuration de l'utilisateur à name dans $HOME ou "Mes Documents\Mes Jeux".

--config-path
    Affiche le nom du répertoire de configuration utilisateur et quitte le programme.

-d, --debug
    Active des options supplémentaires pour la ligne de commande dans le jeu (se reporter au Wiki : http://www.wesnoth.org/wiki/CommandMode pour plus d'informations).

--dummy-locales
    utilise des variables de travail pour s'affranchir des problèmes de langage.

-e, --editor fichier
    lance directement l'éditeur de carte. Si file est utilisé, cela équivaut à -e --load.

--fps
    Affiche, dans un angle de l'écran, le nombre actuel d'images par seconde du jeu.

-f, --fullscreen
    Lance le jeu en mode plein écran.

--gunzip fichier_d'entrée.gz
    Décompresse une sauvegarde, normalement au format gzip, en un fichier sans l'extension .gz. fichier_d'entrée.gz sera effacé.

--gzip fichier_d'entrée
    Compresse une sauvegarde au format gzip et la place dans fichier d'entrée.gz, puis efface fichier_d'entrée.

-h, --help
    Affiche un résumé des options de ligne de commande sur la sortie standard et quitte le programme.

--load fichier
    charge la sauvegarde file à partir du répertoire par défaut du jeu. Si les options -e ou --editor sont aussi utilisées, lance l'éditeur avec la carte située dans file (Si c'est un répertoire, l'éditeur commence par demander de choisir une carte).

--log-niveau=domaine1,domaine2,...
    Définit le niveau d'alerte du débogueur. all permet de suivre tous les niveaux de déboguage. Niveaux disponibles : error, warning,info, debug. Le niveau par défaut est error.

--logdomains
    Affiche la liste de tous les types d'alertes et quitte.

--max-fps
    Nombre d'images par seconde que le jeu peut afficher. La valeur doit être comprise entre 1 et 1000, la valeur par défaut est 50.

-m, --multiplayer
    Lance un jeu multijoueurs. Des options supplémentaires peuvent être utilisées avec --multiplayer : voir ci-dessous.

--no-delay
    Lance le jeu sans pause pour mesurer les performances graphiques. Cette option est activée automatiquement par --nogui.

--nocache
    Désactive le cache des données de jeu.

--nomusic
    Lance le jeu sans musique.

--nosound
    Lance le jeu sans son ni musique.

--path
    Affiche le nom du répertoire principal du jeu et quitte le programme.

-r XxY, --résolution XxY
    Définit la résolution de l'écran. Exemple : -r 800x600

--smallgui
    permet d'utiliser une résolution réduite à 800x400 et redimensionne quelques éléments de l'interface.

-s, --server [hôte]
    se connecte à un hôte prédéfini s'il existe, sinon tente de se connecter au premier serveur paramétré dans les préférences. Exemple : --server server.wesnoth.org

-t, --test
    Lance le jeu avec un petit scénario de test.

--validcache
    suppose que le cache est valide (risqué).

-v, --version
    Affiche le numéro de version et quitte le programme.

-w, --windowed
    Lance le jeu dans une fenêtre séparée.

--with-replay
    Rejoue la partie chargée avec l'option --load.

Options pour --multiplayer
Les options spécifiques au mode multijoueur sont marquées d'un nombre. nombre doit être remplacé par un numéro de joueur. Il s'agit souvent de 1 ou de 2, mais cela dépend du nombre possible de joueurs pour le scénario choisi.

--algorithmnombre=valeur
    Sélectionne un algorithme utilisé par l'IA de cette faction. Valeurs possibles : idle_ai et sample_ai.

--controllernombre=valeur
    Sélectionne le type de joueur de ce camp. Valeurs possibles : human et ai.

--era=valeur
    Utilisez cette option pour jouer à l'ère sélectionnée au lieu de l'ère Par défaut. Cette ère est sélectionnée par un identifiant. Les ères standard sont décrites dans le fichier data/multiplayer.cfg.

--exit-at-end
    Quitte le programme à la fin du scénario, sans afficher le message victoire/défaite qui nécessite un click sur OK de la part du joueur. Utilisable pour permettre une mesure par script des performances.

--nogui
    Lance le jeu sans interface graphique. Doit apparaître avant --multiplayer.

--parmnombre=nom:valeur
    Ajoute des paramètres spécifiques à ce camp. Ces paramètres dépendent des options utilisées avec --controller et --algorithm. Ne devrait être utile qu'aux personnes expérimentant leur propre IA (documentation incomplète).

--scenario=valeur
    Sélectionne un scénario multijoueur par son identifiant. Celui par défaut est : multiplayer_The_Freelands.

--sidenombre=valeur
    Permet de sélectionner une faction. Cette faction est choisie par identifiant. Les factions sont décrites dans le fichier data/multiplayer.cfg.

--turns=valeur
    Définit le nombre de tours du scénario (par défaut : 50).

AUTEUR
Écrit par David White <davidnwhite@verizon.net>.
Édité par Nils Kneuper <crazy-ivanovic@gmx.net>, ott <ott@gaon.net> et Soliton <soliton@gmail.com>.
Ce manuel a été à l'origine écrit par Cyril Bouthors <cyril@bouthors.org>.
Rendez-vous sur la page d'accueil officielle : http://www.wesnoth.org/

COPYRIGHT
Copyright © 2003-2007 David White <davidnwhite@verizon.net>
Ceci est un logiciel libre ; ce logiciel est sous la licence GPL version 2, comme définie par la Free Software Foundation. Il n'offre AUCUNE GARANTIE, y compris en ce qui concerne la COMMERCIABILITÉ et la CONFORMITÉ À UNE UTILISATION PARTICULIÈRE.

VOIR AUSSI
wesnoth_editor(6), wesnothd(6)